<div class="container-fluid">
  <div class="card">
    <div class="card-header bg-info">
      <div class="row">
        <div class="col-sm-6">
          Generate New QR
          <input type="text"
                 pInputText placeholder="Search Account Heads"
                 [(ngModel)]="searchName">
          <button type="button"
                  label="Search"
                  class="btn btn-success btn-xs"
                  (click)="searchAccountHead(searchName)">
            Search
          </button>
        </div>
        <div class="col-sm-6">
          <button class="btn btn-success btn-xs fa-pull-right"
                  (click)="addEditQRDetail(null, true)">
            Add New QR
          </button>
        </div>
      </div>

    </div>
    <div class="card-body">
      <p-table id="exportTable"
               class="text-left"
               [columns]="columnName"
               [value]="(data$)"
               [resizableColumns]="true"
               [autoLayout]="true"
               [paginator]="true"
               [rows]="10"
               [showCurrentPageReport]="true">
        <ng-template pTemplate="caption">
          List of Account Heads
          :&nbsp;{{ totalRecords }}
        </ng-template>
        <ng-template pTemplate="header" let-columns>
          <tr>
            <th *ngFor="let col of columns" [pSortableColumn]="col.value">
              {{col.name}}
              <p-sortIcon [field]="col.value"></p-sortIcon>
            </th>
          </tr>
        </ng-template>

        <ng-template pTemplate="body" let-list let-i="rowIndex">
          <tr [ngStyle]="{'background-color':i%2 === 0 ? '#fafafa' : '#e9ecef'}">
            <td>{{  i + 1 + itemsPerPage * page }}</td>
            <td>{{ list.createdDate }}</td>
            <td>{{ list.firstName}}</td>
            <td>{{ list.lastName}}</td>
            <td>{{ list.title }}</td>
            <td>{{ list.street }}</td>
            <td>{{ list.zipCode }}</td>
            <td>{{ list.city }}</td>
            <td>{{ list.country }}</td>
            <td>{{ list.company }}</td>
            <td>{{ list.email }}</td>
            <td>{{ list.phonePersonal }}</td>
            <td>{{ list.phoneMobile }}</td>
            <td>{{ list.phoneBusiness }}</td>
            <td>{{ list.website }}</td>
            <td>
              <a (click)="addEditQRDetail(list, false)">
                <svg class="bi bi-pencil-square"
                     width="1em"
                     height="1em"
                     viewBox="0 0 16 16"
                     fill="currentColor"
                     xmlns="http://www.w3.org/2000/svg">
                  <path
                    d="M15.502 1.94a.5.5 0 0 1 0 .706L14.459 3.69l-2-2L13.502.646a.5.5 0 0 1 .707 0l1.293 1.293zm-1.75 2.456l-2-2L4.939 9.21a.5.5 0 0 0-.121.196l-.805 2.414a.25.25 0 0 0 .316.316l2.414-.805a.5.5 0 0 0 .196-.12l6.813-6.814z"/>
                  <path fill-rule="evenodd"
                        d="M1 13.5A1.5 1.5 0 0 0 2.5 15h11a1.5 1.5 0 0 0 1.5-1.5v-6a.5.5 0 0 0-1 0v6a.5.5 0 0 1-.5.5h-11a.5.5 0 0 1-.5-.5v-11a.5.5 0 0 1 .5-.5H9a.5.5 0 0 0 0-1H2.5A1.5 1.5 0 0 0 1 2.5v11z"/>
                </svg>
              </a>
<!--              <button class="btn btn-xs btn-info" (click)="viewDetail()">-->
<!--                View-->
<!--              </button>-->

            </td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </div>
</div>



<p-dialog [(visible)]="display"
          [modal]="true"
          [responsive]="true"
          [maximizable]="true"
          [baseZIndex]="100000"
          [style]="{width: '990px', height: 'auto'}">
  <p-header>
    {{addEditType}} QR Code
  </p-header>
  <form [formGroup]="addEditQRDetailFrom">
    <h3><strong>Content</strong></h3>
    <div class="row">
      <div class="col-sm-4">
        <div class="form-group">
          <label for="firstName">First Name<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="firstName"
                 formControlName="firstName"
                 [ngClass]="{ 'is-invalid': submitted && f.firstName.errors }"
                 placeholder="Enter First Name"
                 required
          >
          <div *ngIf="submitted && f.firstName.errors" class="invalid-feedback">
            <div *ngIf="f.firstName.errors.required">First name is Required.</div>
          </div>
        </div>
        <div class="form-group">
          <label for="firstName">Last Name<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="lastName"
                 formControlName="lastName"
                 [ngClass]="{ 'is-invalid': submitted && f.lastName.errors }"
                 placeholder="Enter Last Name"
                 required
          >
          <div *ngIf="submitted && f.lastName.errors" class="invalid-feedback">
            <div *ngIf="f.lastName.errors.required">Last name is Required.</div>
          </div>
        </div>
        <div class="form-group">
          <label for="title">Title</label>
          <input type="text"
                 class="form-control"
                 id="title"
                 formControlName="title"
                 placeholder="Enter Title"
          >
        </div>
        <div class="form-group">
          <label for="company">Company/Organization</label>
          <input type="text"
                 class="form-control"
                 id="company"
                 formControlName="company"
                 placeholder="Enter Company/Organization"
          >
        </div>

        <div class="form-group">
          <label for="zipCode">Zip Code</label>
          <input type="text"
                 class="form-control"
                 id="zipCode"
                 formControlName="zipCode"
                 placeholder="Enter Zip code"
          >
        </div>

        <div class="form-group">
          <label for="city">City</label>
          <input type="text"
                 class="form-control"
                 id="city"
                 formControlName="city"
                 placeholder="Enter City"
          >
        </div>

        <div class="form-group">
          <label for="country">Country</label>
          <input type="text"
                 class="form-control"
                 id="country"
                 formControlName="country"
                 placeholder="Enter Country"
          >
        </div>



      </div>
      <div class="col-sm-4">
        <div class="form-group">
          <label for="street">Street</label>
          <input type="text"
                 class="form-control"
                 id="street"
                 formControlName="street"
                 placeholder="Enter Company/Organization"
          >
        </div>
        <div class="form-group">
          <label for="email">Email (Personal)<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="email"
                 formControlName="email"
                 [ngClass]="{ 'is-invalid': submitted && f.email.errors }"
                 placeholder="Enter Email (Personal) "
                 required
          >
          <div *ngIf="submitted && f.email.errors" class="invalid-feedback">
            <div *ngIf="f.email.errors.required">Email (Personal) is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="emailBusiness">Email (Business)<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="emailBusiness"
                 formControlName="emailBusiness"
                 [ngClass]="{ 'is-invalid': submitted && f.emailBusiness.errors }"
                 placeholder="Enter Email (Business) "
                 required
          >
          <div *ngIf="submitted && f.emailBusiness.errors" class="invalid-feedback">
            <div *ngIf="f.emailBusiness.errors.required">Business Email is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="phonePersonal">Phone (Personal)<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="phonePersonal"
                 formControlName="phonePersonal"
                 [ngClass]="{ 'is-invalid': submitted && f.phonePersonal.errors }"
                 placeholder="Enter Phone (Personal) "
                 required
          >
          <div *ngIf="submitted && f.phonePersonal.errors" class="invalid-feedback">
            <div *ngIf="f.phonePersonal.errors.required">Phone (Personal) is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="phoneMobile">Phone (Mobile)<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="phoneMobile"
                 formControlName="phoneMobile"
                 [ngClass]="{ 'is-invalid': submitted && f.phoneMobile.errors }"
                 placeholder="Enter Phone (Mobile) "
                 required
          >
          <div *ngIf="submitted && f.phoneMobile.errors" class="invalid-feedback">
            <div *ngIf="f.phoneMobile.errors.required">Phone (Mobile) is Required.</div>
          </div>
        </div>

        <div class="form-group">
          <label for="phoneBusiness">Phone (Business)<span class="required">*</span></label>
          <input type="text"
                 class="form-control"
                 id="phoneBusiness"
                 formControlName="phoneBusiness"
                 [ngClass]="{ 'is-invalid': submitted && f.phoneBusiness.errors }"
                 placeholder="Enter Phone (Business) "
                 required
          >
          <div *ngIf="submitted && f.phoneBusiness.errors" class="invalid-feedback">
            <div *ngIf="f.phoneBusiness.errors.required">Phone (Business) is Required.</div>
          </div>
        </div>


        <div class="form-group">
          <label for="website">Website</label>
          <input type="text"
                 class="form-control"
                 id="website"
                 formControlName="website"
                 placeholder="http://"
          >
        </div>

      </div>
      <div class="col-sm-4">
        <h3><strong>Live Preview</strong></h3>

        <div style="width: 283px; height: 283px" *ngIf="showQRCode">
          <ngx-qrcode
            cssClass="bshadow"
            style="height: 250px; width: 250px"
            [elementType]="elementType"
            [errorCorrectionLevel]="correctionLevel"
            [value]="value">
          </ngx-qrcode>
          <button (click)="download(this.addEditQRDetailFrom.value.firstName)"> Download</button>

        </div>

      </div>
    </div>

    <p-footer>
      <div class="row">
        <div class="col-sm-4">
          <button class="btn btn-info btn-block"
                  (click)="preview()">
            Preview
          </button>
        </div>
        <div class="col-sm-4">
          <button class="btn btn-danger btn-block"
                  (click)="cancel()">
            Cancel
          </button>
        </div>
        <div class="col-sm-4">
          <button class="btn btn-success btn-block"
                  [disabled]="loading"
                  (click)="confirm()"
                  type="submit">
            <span *ngIf="loading" class="spinner-border spinner-border-sm mr-1"></span>
            Confirm
          </button>
        </div>
      </div>
    </p-footer>
  </form>
</p-dialog>
